<%@ page language="java" contentType="text/html; charset=GBK"
    pageEncoding="GBK"%>
    
<%@ page import="com.tenpay.MediPayRequestHandler"%>
<%@ page import="com.tenpay.util.TenpayUtil" %>    
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<title>财付通中介支付测试</title>
</head>
<body>
<%

//---------------------------------------------------------
//财付通中介担保支付请求示例，商户按照此文档进行开发即可
//---------------------------------------------------------

//平台商密钥
String key = "123456";

//平台商帐号
String chnid = "88881481";

//卖家
String seller = "88881481";

//回调通知URL
String mch_returl = "http://localhost:8080/tenpay/mch_returl.jsp";

//支付显示URL
String show_url = "http://localhost:8080/tenpay/show_url.jsp";

//当前时间 yyyyMMddHHmmss
String currTime = TenpayUtil.getCurrTime();

//四位随机数
String strRandom = TenpayUtil.buildRandom(4) + "";

//商家订单号
String mch_vno = currTime + strRandom;

//创建MediPayRequestHandler实例
MediPayRequestHandler reqHandler = new MediPayRequestHandler(request, response);

//设置密钥
reqHandler.setKey(key);

//初始化
reqHandler.init();

//-----------------------------
//设置支付参数
//-----------------------------
reqHandler.setParameter("chnid", chnid);			//平台商帐号
reqHandler.setParameter("encode_type", "1");		//编码类型 1:gbk 2:utf-8
reqHandler.setParameter("mch_desc", "交易说明");		//交易说明
reqHandler.setParameter("mch_name", "商品名称");		//商品名称
reqHandler.setParameter("mch_price", "1"); 			//商品总价，单位为分
reqHandler.setParameter("mch_returl", mch_returl); 	//回调通知URL
reqHandler.setParameter("mch_type", "1");			//交易类型：1、实物交易，2、虚拟交易
reqHandler.setParameter("mch_vno", mch_vno);		//商家的定单号
reqHandler.setParameter("need_buyerinfo", "2");		//是否需要在财付通填定物流信息，1：需要，2：不需要。
reqHandler.setParameter("seller", seller);			//卖家财付通帐号
reqHandler.setParameter("show_url", show_url);		//支付后的商户支付结果展示页面
reqHandler.setParameter("transport_desc", "");		//物流公司或物流方式说明
reqHandler.setParameter("transport_fee", "");		//需买方另支付的物流费用

//获取请求带参数的url
String requestUrl = reqHandler.getRequestURL();

//获取debug信息
String debuginfo = reqHandler.getDebugInfo();

System.out.println("requestUrl:" + requestUrl);
System.out.println("debuginfo:" + debuginfo);
%>
<br/><a target="_blank" href="<%=requestUrl %>">财付通支付</a>
</body>
</html>